<?php
require 'inc/topMenu.php';
if (!empty($ci['ac']) && $ci['ac'] === 'login') {
  echo '<form action="?" method="post">
  <fieldset>
    <legend>Login</login>
    <label>Login</label>
    <input type="text" name="loginName" required/>
    <label>Password</label>
    <input type="password" name="loginPass" required/>
    <input type="hidden" name="op" value="2"/>
    <input type="hidden" name="ac" value="login"/>
    <input type="hidden" name="bc" value="'.$ci['bc'].'" />
    <input type="hidden" name="token" value="', genToken(), '"/>
    <input type="submit" />
  </fieldset>
</form>';
}
if (!empty($ci['ac']) && $ci['ac'] === 'newDir') {
  echo '<form action="?" method="post">
  <fieldset>
    <legend>New directory</legend>
    <label>Name</label>
    <input type="text" name="newDir"/>
    <input type="hidden" name="op" value="1"/>
    <input type="hidden" name="ac" value="newDir" />
    <input type="hidden" name="bc" value="'.$ci['bc'].'" />
    <input type="hidden" name="token" value="', genToken(), '"/>
    <input type="submit"/>
  </fieldset>
</form>';
}
if (!empty($ci['ac']) && $ci['ac'] === 'renDir') {
  if (empty($ci['op'])) {
    $currentDir = getCurrentDir($ci['bc']);
    echo '<form action="?" method="post">
  <fieldset>
    <legend>', $fullListDir[$currentDir], '</legend>
    <label>New name</label>
    <input type="text" name="renDir" value="', $fullListDir[$currentDir], '"/>
    <input type="hidden" name="op" value="1"/>
    <input type="hidden" name="ac" value="renDir" />
    <input type="hidden" name="bc" value="'.$ci['bc'].'" />
    <input type="hidden" name="token" value="', genToken(), '"/>
    <input type="submit"/>
  </fieldset>
</form>';
  }
}
if (!empty($ci['ac']) && $ci['ac'] === 'addVideo') {
  echo '<form action="?" method="post">
  <fieldset>
    <legend>New video</legend>
    <label>Url</label>
    <input type="url" name="url" />
    <label>Name</label>
    <input type="text" name="name"/>
    <label>Description</label>
    <textarea></textarea>
    <label>Via</label>
    <input type="url" name="via" />
    <label>Licence</label>
    <select name="licence">
      <option>CC-NC</option>
    </select>
    <input type="hidden" name="op" value="1"/>
    <input type="hidden" name="ac" value="addVideo" />
    <input type="hidden" name="bc" value="'.$ci['bc'].'" />
    <input type="hidden" name="token" value="',  genToken(), '"/>
    <input type="submit"/>
  </fieldset>
</form>';
}
if (!empty($ci['ac']) && $ci['ac'] === 'addThumbnail') {
  echo '<form action="?" method="post" enctype="multipart/form-data">
  <fieldset>
    <legend>Add thumbnail</legend>
    <label>Thumbnail</label>
    <input type="file" name="file" />
    <input type="hidden" name="op" value="1"/>
    <input type="hidden" name="ac" value="addThumbnail" />
    <input type="hidden" name="bc" value="'.$ci['bc'].'" />
    <input type="hidden" name="token" value="',  genToken(), '"/>
    <input type="submit"/>
  </fieldset>
</form>';
}
if (!empty($ci['ac']) && $ci['ac'] === 'view') {
  if (!empty($ci['op']) && (int)$ci['op'] === 1) {
    verifToken($ci['token']);
  } else {
    $videoInfo = getVideoInfo($ci['file'], $ci['bc'], $fullListFile);
  }
}
if (empty($ci['bc'])) {
  $path = 'videos/';
} else {
  $splitBc = chunk_split($ci['bc'], 8, '/');
  $path = 'videos/'.$splitBc;
  $breadcrumb = makeBreadcrumb($ci['bc'], $fullListDir);
  $nbBread = count($breadcrumb);
}

$listCurrentDir = listCurrentDir($path);
$listCurrentFile = listVideo($path);
echo '<div id="breadcrumb">';
$i = 1;
echo '<a href="?">Home</a> >>';
if (!empty($breadcrumb)) {
  foreach ($breadcrumb as $key => $value) {
    if ($i === $nbBread && $ci['ac'] !== 'view') {
      echo $value;
    } else {
      echo '<a href="?bc=', $key, '">', $value, '</a> >> ';
    }
    $i++;
  }
}
echo '</div>';
echo '<div id="listFile">';
if (!empty($listCurrentDir)) {
  foreach ($listCurrentDir as $value) {
    $thumbnail = getThumbnail($path, $value);
    if (empty($thumbnail)) {
      echo '<a href="?bc=', $ci['bc'].$value, '"><span class="fulldir"></span>', $fullListDir[$value], '</a> ';
    } else {
      echo '<a href="?bc=', $ci['bc'].$value, '"><span class="dir"></span><img alt="Thumbnail of video" src="', $thumbnail, '" />', $fullListDir[$value], '</a> ';
    }
  }
}
if (!empty($listCurrentFile) && $ci['ac'] !== 'view') {
  foreach ($listCurrentFile as $value) {
    if ($value == 'thumb.jpg') {
      continue;
    }
    echo '<a href="?bc=', $ci['bc'], '&amp;file=', $value, '&amp;ac=view"><span class="video"></span><img alt="', $path.$value, '" src="', $path.$value, '" />', $fullListFile[str_replace('.jpg', '', $value)]['title'], '</a>';
  }
}
echo '</div>';
if ($ci['ac'] === 'view' && !empty($listCurrentFile)) {
  $_SESSION['video'] = $videoInfo['hash'];
  if (!empty($videoInfo)) {
    if (empty($videoInfo['title'])) {
      $fullTitle = $videoInfo['originalTitle'];
      updateFileTitle($videoInfo['hash'], $fullTitle);
    } else {
      $fullTitle = $videoInfo['title'].' ('.$videoInfo['originalTitle'].')';
    }
    echo '<div id="viewFile">';
    echo '<h2>', $fullTitle, '</h2>';
    echo '<video width="640" controls="controls" poster="', $path.$videoInfo['hash'], '.jpg">';
    echo '<source src="', $path.$videoInfo['hash'], '.webm" type="video/webm" />';
    echo '<source src="', $path.$videoInfo['hash'], '.mp4" type="video/mp4" />';
    echo '
  <object type="application/x-shockwave-flash" data="lib/flowplayer-3.2.1.swf" width="640" height="360">
    <param name="movie" value="lib/flowplayer-3.2.1.swf" />
    <param name="allowFullScreen" value="true" />
    <param name="wmode" value="transparent" />
    <param name="flashVars" value="config={\'playlist\':[\'', $path.$videoInfo['hash'], '.jpg\',{\'url\':\'', $path.$videoInfo['hash'], '.webm', '\'autoPlay\':false}]}" />
    <img alt="Preview" src="', $path.$videoInfo['hash'], '.jpg" width="640" height="360" title="No video playback capabilities, please download the video below or open download link in your video player like VLC." />
  </object>';
    echo 'Oops your browser can\'t play webm video. Try a modern browser. Look <a href="http://browsehappy.com/">browsehappy.com</a> for list.';
    echo '</video>';
  }
  if ($_SESSION['log'] === true) {
    $token = genToken();
    echo '<div id="toolbar">
          <a href="?ac=view&amp;op=3&amp;bc=', $ci['bc'], '&amp;file=', $ci['file'], '&amp;token=', $token, '"><img src="images/useThumbnail.svg" alt="Use this thumbnail for folder thumbnail" title="Use this thumbnail for folder thumbnail"/></a>
          <a href="?ac=view&amp;op=4&amp;bc=', $ci['bc'], '&amp;file=', $ci['file'], '&amp;token=', $token, '"><img src="images/delete.svg" alt="Delete this video" title="Delete this video"/></a>
        </div>';
  }
  echo '<table>
        <tr>
          <th>Title</th>
          <td>', $videoInfo['title'], '</td>
        </tr>
        <tr>
          <th>Original title</th>
          <td>', $videoInfo['originalTitle'], '</td>
        </tr>
        <tr>
          <th>Description</th>
          <td>', $videoInfo['desc'], '</td>
        </tr>
        <tr>
          <th>Original description</th>
          <td>', $videoInfo['originalDesc'], '</td>
        </tr>
        <tr>
          <th>Url</th>
          <td><a href="', htmlentities($videoInfo['url']), '">', $videoInfo['url'], '</a></td>
        </tr>
        <tr>
          <th>Duration</th>
          <td>', $videoInfo['duration'], '</td>
        <tr>
          <th>Publish date</th>
          <td>', $videoInfo['uploadDate'], '</td>
        </tr>
        <tr>
          <th>Via</th>
          <td>';
  if (!empty($videoInfo['via'])) {
    echo '<a href="', htmlentities($videoInfo['via']), '">', $videoInfo['via'], '</a>';
  } else {
    echo '';
  }
  echo '</td>
        </tr>
        <tr>
          <th>Licence</th>
          <td>', $videoInfo['licence'], '</td>
        </tr>
        <tr>
        <th>Download</th>
        <td><a href="', $path.$videoInfo['hash'], '.webm">Download</a></td>
        </tr>
        <tr>
        <th>View image preview</th>
        <td><a href="', $path.$videoInfo['hash'], '.jpg">Image preview</a></td>
        </tr>
      </table>
    </div>';
}
?>
